Lead Routing
Get default (supplement) routing rule
Returns the default / fallback routing rule configured on the caller’s team for the given business type. Caller must have MANAGE_LEAD_DISTRIBUTION or MANAGE_LEAD_DISTRIBUTION_DEPARTMENT permission.
GET
/
v1.0
/
routing
/
rule
/
supplement
/
{type}
Get default (supplement) routing rule
curl --request GET \
--url https://api.lofty.com/v1.0/routing/rule/supplement/{type} \
--header 'Authorization: <authorization>'import requests
url = "https://api.lofty.com/v1.0/routing/rule/supplement/{type}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.lofty.com/v1.0/routing/rule/supplement/{type}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lofty.com/v1.0/routing/rule/supplement/{type}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lofty.com/v1.0/routing/rule/supplement/{type}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lofty.com/v1.0/routing/rule/supplement/{type}")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lofty.com/v1.0/routing/rule/supplement/{type}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"roleId": 123,
"businessType": 123,
"strategyType": 123,
"touchMinutes": 123,
"assigneeAgentName": "<string>",
"assigneeAgentId": 123,
"assigneeGroupName": "<string>",
"assigneeGroupId": 123,
"updateTime": 123
}"<string>""<string>""<string>"Headers
Bearer [access_token]
Path Parameters
Routing business type.
Available options:
1, 2, 4 Query Parameters
Role ID. Required when type = 4 (ASSISTANT_LEAD).
Response
Default routing rule for the given business type.
Role id
Routing type
Strategy type
Only next up and blast alert are affected
Only default assignee are affected
Only default assignee are affected
Only default assignee are affected
Only default assignee are affected
Update time
⌘I
Get default (supplement) routing rule
curl --request GET \
--url https://api.lofty.com/v1.0/routing/rule/supplement/{type} \
--header 'Authorization: <authorization>'import requests
url = "https://api.lofty.com/v1.0/routing/rule/supplement/{type}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.lofty.com/v1.0/routing/rule/supplement/{type}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lofty.com/v1.0/routing/rule/supplement/{type}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lofty.com/v1.0/routing/rule/supplement/{type}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lofty.com/v1.0/routing/rule/supplement/{type}")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lofty.com/v1.0/routing/rule/supplement/{type}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"roleId": 123,
"businessType": 123,
"strategyType": 123,
"touchMinutes": 123,
"assigneeAgentName": "<string>",
"assigneeAgentId": 123,
"assigneeGroupName": "<string>",
"assigneeGroupId": 123,
"updateTime": 123
}"<string>""<string>""<string>"